package DSCS::Memory::Groups; #A table/row class
use 5.010001;
use strict;
use warnings;
use utf8;
use parent qw(DSCS::Memory);

sub is_base_class{return 0}
my $TABLE_NAME = 'groups';

sub TABLE {return $TABLE_NAME}
sub PRIMARY_KEY{return 'id'}
my $COLUMNS = [
             'id',
             'group_name',
             'is blocked',
             'data'
           ];

sub COLUMNS {return $COLUMNS}
my $ALIASES = {
             'is blocked' => 'is_blocked',
             'data' => 'column_data'
           };

sub ALIASES {return $ALIASES}
my $CHECKS = {
            'id' => {
                      'allow' => qr/^-?\d{1,}$/x
                    },
            'data' => {
                        'allow' => sub { "DUMMY" }
                      },
            'is blocked' => {
                              'allow' => qr/^-?\d{1,}$/x
                            },
            'group_name' => {
                              'allow' => sub { "DUMMY" }
                            }
          };

sub CHECKS {return $CHECKS}

__PACKAGE__->QUOTE_IDENTIFIERS(1);
#__PACKAGE__->BUILD;#build accessors during load

1;

=pod

=encoding utf8

=head1 NAME

A class for TABLE groups in schema main

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 COLUMNS

Each column from table C<groups> has an accessor method in this class.

=head2 id

=head2 group_name

=head2 is blocked

=head2 data

=head1 ALIASES

=head1 GENERATOR

L<DBIx::Simple::Class::Schema>

=head1 SEE ALSO
L<DSCS::Memory>, L<DBIx::Simple::Class>, L<DBIx::Simple::Class::Schema>

=head1 AUTHOR

builder

=cut
